name='hlna-git'
version='50.30ee2fc'
release='1'
desc='Этот инструмент позволяет управлять выделенным сервером ARK: Survival Evolved на Linux. Он предоставляет множество функций, чтобы получить полный список, ознакомьтесь с разделом использования. (находится в разарботке и может содержать ошибки)'
homepage='https://gitflic.ru/project/xpamych/hlna'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('GPL-3.0-or-later')
provides=('hlna')
conflicts=('hlna')

deps=('python3' 'python3-pip' 'steamcmd')
deps_arch=('python' 'python-pip' 'steamcmd')

sources=("git+https://gitflic.ru/project/xpamych/hln-a.git")
checksums=('SKIP')

version() {
	cd "$srcdir/hln-a"
	git-version
}

prepare() {
    pip3 install --upgrade --user click colorama pyTelegramBotAPI
}

package() {
	install -Dm755 "${srcdir}/hln-a/hlna.py" "${pkgdir}/usr/bin/hlna"
    install -Dm755 "${srcdir}/hln-a/hlna_bot.py" "${pkgdir}/usr/bin/hlna-bot"
	install -Dm644 "${srcdir}/hln-a/LICENSE.md" "${pkgdir}/usr/share/licenses/hlna/license"
}
